Subject: Re: [PATCH][RFC] network splice receive

From: Evgeniy Polyakov <[email-masked]>
Date: Tue, 5 Jun 2007 17:34:55 +0400

On Tue, Jun 05, 2007 at 10:05:43AM +0200, Jens Axboe ([email-masked]) wrote:
> Hi,

Hi Jens.

> Here's an implementation of tcp network splice receive support. It's
> originally based on the patch set that Intel posted some time ago, but
> has been (close to) 100% reworked.
> 
> Now, I'm not a networking guru by any stretch of the imagination, so I'd
> like some input on the direction of the main patch. Is the approach
> feasible? Glaring errors? Missing bits?

First one - you seems to create new data_ready callback
tcp_splice_data_ready(), but it is unused, and actually can not be at 
all - there will be a deadlock, since sk_data_ready can be called with locked 
socket and also in bh context.

I will setup this and report abck about bugs.

-- 
	Evgeniy Polyakov